[tox]
envlist = py3-runner-{flake8,pytest,mypy,format}
skip_missing_interpreters = True

[testenv]
usedevelop = True
commands =
    flake8: flake8 runner tests
    mypy: mypy --config-file=tox.ini runner
    pytest: pytest --cov=runner --cov-report html:coverage --cov-report xml:coverage/cover.xml --cov-report term tests {posargs}
    format: black --check --diff runner/ tests/
    format: isort --check --diff runner/ tests/
deps =
    flake8: flake8
    mypy: -rrequirements-dev.txt
    pytest: -rrequirements-dev.txt
    format: black
    format: isort

[flake8]
exclude = .tox
max_line_length = 120
ignore = E203 F405 W503 W504 W605

[mypy]
ignore_missing_imports = True
